/**
 * Copyright (c) Samuel Wall.
 *
 * This source code is licensed under the MIT license found in the
 * license file in the root directory of this source tree.
 */
import { ReactElement } from 'react';
import { Config } from './config.model';
/**
 * Properties for Mermaid component.
 */
export declare type MermaidProps = {
    /**
     * Mermaid diagram.
     */
    chart: string;
    /**
     * Config to initialize mermaid with.
     */
    config?: Config | string;
};
/**
 * Component to display Mermaid diagrams.
 *
 * @param param0 Diagram to display.
 * @param param1 Config.
 * @returns The component.
 */
export declare const Mermaid: ({ chart, config: configSrc }: MermaidProps) => ReactElement<MermaidProps>;
