import mermaidAPI from 'mermaid/mermaidAPI';
import { Config } from './config.model';
export declare const DEFAULT_DARK_THEME = "dark";
export declare const DEFAULT_LIGHT_THEME = "default";
export declare const DARK_THEME_KEY = "dark";
export declare const LIGHT_THEME_KEY = "light";
export declare const HTML_THEME_ATTRIBUTE = "data-theme";
/**
 * Gets the theme based on config and current data-theme of the HTML.
 *
 * @param html The HTML element of the page.
 * @param config The configuration for this chart.
 */
export declare function getTheme(html: HTMLHtmlElement, config?: Config): mermaidAPI.Theme;
